Page MenuHomePhabricator

[llvm][test] precommit test for D130127
ClosedPublic

Authored by nickdesaulniers on Aug 24 2022, 2:25 PM.

Details

Summary

Add a FIXME that will be immediately removed in D130127.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptAug 24 2022, 2:25 PM
Herald added a subscriber: pengfei. · View Herald Transcript
nickdesaulniers requested review of this revision.Aug 24 2022, 2:25 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 24 2022, 2:25 PM
nikic added a subscriber: nikic.Aug 29 2022, 1:51 AM
nikic added inline comments.
llvm/test/CodeGen/X86/tail-dup-asm-goto.ll
78

This is going to break the expensive check build bots, so you might want to add an explicit -verify-machineinstrs=0.

  • explictly disable machine verifier, as per @nikic
nickdesaulniers marked an inline comment as done.Aug 31 2022, 9:57 AM
nickdesaulniers added inline comments.
llvm/test/CodeGen/X86/tail-dup-asm-goto.ll
78

Done. I've heard about "expensive checks" but don't know much about them. Is that a cmake config? Does it run machine verification explicitly?

nickdesaulniers removed a subscriber: nikic.
nikic accepted this revision.Aug 31 2022, 10:47 AM

LG

llvm/test/CodeGen/X86/tail-dup-asm-goto.ll
78

Yes, this is the LLVM_ENABLE_EXPENSIVE_CHECKS cmake option. It mostly enables various verifiers (including verify-machineinstrs) that are not otherwise enabled by default.

This revision is now accepted and ready to land.Aug 31 2022, 10:47 AM
This revision was automatically updated to reflect the committed changes.